Results 1 to 4 of 4

Thread: PTS 3.0 - MD5 fails on Win7 x64

  1. #1
    Join Date
    Sep 2008
    Location
    Vilnius, Lithuania
    Posts
    2,636

    Default PTS 3.0 - MD5 fails on Win7 x64

    I'm trying to get PTS 3.0 work on Windows 7 x64 once again, and now I get this problem:
    Code:
    >phoronix-test-suite benchmark pts/crafty
    
    Phoronix Test Suite v3.0.0
    
        To Install: pts/crafty-1.2.0
    
        Determining File Requirements ..........................................
        Searching Download Caches ..............................................
    
        1 Test To Install
            1 File To Download [0.29MB]
            6MB Of Disk Space Is Needed
    
        pts/crafty-1.2.0:
            Test Installation 1 of 1
            1 File Needed [0.29 MB / 1 Minute]
            Downloading: crafty-23.3-win64.exe.zip                      [0.29MB]
                MD5 Failed: http://www.webkikr.com/files/crafty-23.3-win64.exe.zip
        Try downloading the file again (Y/n):
    It doesn't matter how many times I retry, it always fails to match the checksum. And that's on every single test out there. Is there anything I can do about this?
    Using PHP 5.2.6 from php-gtk2 with the extensions php_gtk2, php_zip, php_gd2, php_ming, php_fdf and php_curl.

    And while I'm at it, I get these warnings each time I run phoronix-test-suite.bat:
    Code:
    Warning: strpos(): Offset not contained in string in C:\Users\Dainius\Documents\bench30\pts-core\objects\phodevi\parsers\phodevi_windows_parser.php on line 47
    This is always repeated a number of times (5-10) before anything else is printed on screen.

  2. #2

    Default

    Quote Originally Posted by GreatEmerald View Post
    I'm trying to get PTS 3.0 work on Windows 7 x64 once again, and now I get this problem:
    Code:
    >phoronix-test-suite benchmark pts/crafty
    
    Phoronix Test Suite v3.0.0
    
        To Install: pts/crafty-1.2.0
    
        Determining File Requirements ..........................................
        Searching Download Caches ..............................................
    
        1 Test To Install
            1 File To Download [0.29MB]
            6MB Of Disk Space Is Needed
    
        pts/crafty-1.2.0:
            Test Installation 1 of 1
            1 File Needed [0.29 MB / 1 Minute]
            Downloading: crafty-23.3-win64.exe.zip                      [0.29MB]
                MD5 Failed: http://www.webkikr.com/files/crafty-23.3-win64.exe.zip
        Try downloading the file again (Y/n):
    It doesn't matter how many times I retry, it always fails to match the checksum. And that's on every single test out there. Is there anything I can do about this?
    Using PHP 5.2.6 from php-gtk2 with the extensions php_gtk2, php_zip, php_gd2, php_ming, php_fdf and php_curl.

    And while I'm at it, I get these warnings each time I run phoronix-test-suite.bat:
    Code:
    Warning: strpos(): Offset not contained in string in C:\Users\Dainius\Documents\bench30\pts-core\objects\phodevi\parsers\phodevi_windows_parser.php on line 47
    This is always repeated a number of times (5-10) before anything else is printed on screen.

    The warning should be fixed in Git for PTS 3.0.1, thanks.

    The test profile for Crafty needs to be updated to use a new version as it was changed and the author didn't leave the old version on the server. That should be done soon.

  3. #3
    Join Date
    Jul 2008
    Posts
    65

    Default

    I got that error,
    Code:
    Warning: strpos(): Offset not contained in string in C:\Users\Dainius\Documents\bench30\pts-core\objects\phodevi\parsers\phodevi_windows_parser.php on line 47
    For every test I tried to run on windows. I couldn't get it to run any benchmarks at all. It seems to be having a problem finding the cpuz.txt file also.

  4. #4
    Join Date
    Sep 2008
    Location
    Vilnius, Lithuania
    Posts
    2,636

    Default

    With the latest version the warnings are fixed, but it still fails the MD5 check on anything I try to install - Crafty, IOzone etc. My php installation doesn't have POSIX and PCNTL extensions installed, but they can't be installed on Windows anyway.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •